Package org.apache.lucene.codecs

## Class FlatVectorsFormat

- java.lang.Object
- - org.apache.lucene.codecs.FlatVectorsFormat

- Direct Known Subclasses:
    `Lucene99FlatVectorsFormat`, `Lucene99ScalarQuantizedVectorsFormat`

      public abstract class FlatVectorsFormat
      extends Object

  Encodes/decodes per-document vectors
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FlatVectorsFormat()` | Sole constructor

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract FlatVectorsReader` | `fieldsReader​(SegmentReadState state)` | Returns a `KnnVectorsReader` to read the vectors from the index.
    `abstract FlatVectorsWriter` | `fieldsWriter​(SegmentWriteState state)` | Returns a `FlatVectorsWriter` to write the vectors to the index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlatVectorsFormat

          protected FlatVectorsFormat()

      Sole constructor

  - ### Method Detail

    - #### fieldsWriter

          public abstract FlatVectorsWriter fieldsWriter​(SegmentWriteState state)
                                                  throws IOException

      Returns a `FlatVectorsWriter` to write the vectors to the index.
      Throws:
        `IOException`

    - #### fieldsReader

          public abstract FlatVectorsReader fieldsReader​(SegmentReadState state)
                                                  throws IOException

      Returns a `KnnVectorsReader` to read the vectors from the index.
      Throws:
        `IOException`